PHPExcel

# Class: PclZip

Source Location: /PHPExcel/Shared/PCLZip/pclzip.lib.php

### Class Overview

### Variables

- $error_code
- $error_string
- $magic_quotes_status
- $zipname
- $zip_fd

### Methods

- PclZip
- add
- create
- delete
- deleteByIndex
- duplicate
- errorCode
- errorInfo
- errorName
- extract
- extractByIndex
- listContent
- merge
- privAdd
- privAddFile
- privAddFileList
- privAddFileUsingTempFile
- privAddList
- privCalculateStoredFilename
- privCheckFileHeaders
- privCheckFormat
- privCloseFd
- privConvertHeader2FileInfo
- privCreate
- privDeleteByRule
- privDirCheck
- privDisableMagicQuotes
- privDuplicate
- privErrorLog
- privErrorReset
- privExtractByRule
- privExtractFile
- privExtractFileAsString
- privExtractFileInOutput
- privExtractFileUsingTempFile
- privFileDescrExpand
- privFileDescrParseAtt
- privList
- privMerge
- privOpenFd
- privOptionDefaultThreshold
- privParseOptions
- privReadCentralFileHeader
- privReadEndCentralDir
- privReadFileHeader
- privSwapBackMagicQuotes
- privWriteCentralFileHeader
- privWriteCentralHeader
- privWriteFileHeader
- properties

### Class Details

[line 190]
[ Top ]

### Class Variables

#### $error_code = 1

[line 199]

Type: | mixed

[ Top ]

#### $error_string = ''

[line 200]

Type: | mixed

[ Top ]

#### $magic_quotes_status =

[line 205]

Type: | mixed

[ Top ]

#### $zipname = ''

[line 193]

Type: | mixed

[ Top ]

#### $zip_fd = 0

[line 196]

Type: | mixed

[ Top ]

### Class Methods

### constructor PclZip [line 215]

`PclZip PclZip( $p_zipname)`

#### Parameters:

| $p_zipname |

[ Top ]

### method add [line 454]

`void add( $p_filelist)`

#### Parameters:

| $p_filelist |

[ Top ]

### method create [line 271]

`void create( $p_filelist)`

#### Parameters:

| $p_filelist |

[ Top ]

### method delete [line 1006]

`void delete( )`

[ Top ]

### method deleteByIndex [line 1065]

`void deleteByIndex( $p_index)`

#### Parameters:

| $p_index |

[ Top ]

### method duplicate [line 1162]

`void duplicate( $p_archive)`

#### Parameters:

| $p_archive |

[ Top ]

### method errorCode [line 1272]

`void errorCode( )`

[ Top ]

### method errorInfo [line 1334]

`void errorInfo( [ $p_full = false])`

#### Parameters:

| $p_full |

[ Top ]

### method errorName [line 1288]

`void errorName( [ $p_with_code = false])`

#### Parameters:

| $p_with_code |

[ Top ]

### method extract [line 700]

`void extract( )`

[ Top ]

### method extractByIndex [line 857]

`void extractByIndex( $p_index)`

#### Parameters:

| $p_index |

[ Top ]

### method listContent [line 643]

`void listContent( )`

[ Top ]

### method merge [line 1221]

`void merge( $p_archive_to_add)`

#### Parameters:

| $p_archive_to_add |

[ Top ]

### method privAdd [line 2159]

`void privAdd( $p_filedescr_list, &$p_result_list, &$p_options)`

#### Parameters:

| $p_filedescr_list |
| &$p_result_list |
| &$p_options |

[ Top ]

### method privAddFile [line 2525]

`void privAddFile( $p_filedescr, &$p_header, &$p_options)`

#### Parameters:

| $p_filedescr |
| &$p_header |
| &$p_options |

[ Top ]

### method privAddFileList [line 2463]

`void privAddFileList( $p_filedescr_list, &$p_result_list, &$p_options)`

#### Parameters:

| $p_filedescr_list |
| &$p_result_list |
| &$p_options |

[ Top ]

### method privAddFileUsingTempFile [line 2798]

`void privAddFileUsingTempFile( $p_filedescr, &$p_header, &$p_options)`

#### Parameters:

| $p_filedescr |
| &$p_header |
| &$p_options |

[ Top ]

### method privAddList [line 2399]

`void privAddList( $p_filedescr_list, &$p_result_list, &$p_options)`

#### Parameters:

| $p_filedescr_list |
| &$p_result_list |
| &$p_options |

[ Top ]

### method privCalculateStoredFilename [line 2910]

`void privCalculateStoredFilename( &$p_filedescr, &$p_options)`

#### Parameters:

| &$p_filedescr |
| &$p_options |

[ Top ]

### method privCheckFileHeaders [line 4488]

`void privCheckFileHeaders( &$p_local_header, &$p_central_header)`

#### Parameters:

| &$p_local_header |
| &$p_central_header |

[ Top ]

### method privCheckFormat [line 1373]

`void privCheckFormat( [ $p_level = 0])`

#### Parameters:

| $p_level |

[ Top ]

### method privCloseFd [line 2372]

`void privCloseFd( )`

[ Top ]

### method privConvertHeader2FileInfo [line 3236]

`void privConvertHeader2FileInfo( $p_header, &$p_info)`

#### Parameters:

| $p_header |
| &$p_info |

[ Top ]

### method privCreate [line 2124]

`void privCreate( $p_filedescr_list, &$p_result_list, &$p_options)`

#### Parameters:

| $p_filedescr_list |
| &$p_result_list |
| &$p_options |

[ Top ]

### method privDeleteByRule [line 4682]

`void privDeleteByRule( &$p_result_list, &$p_options)`

#### Parameters:

| &$p_result_list |
| &$p_options |

[ Top ]

### method privDirCheck [line 4992]

`void privDirCheck( $p_dir, [ $p_is_dir = false])`

#### Parameters:

| $p_dir |
| $p_is_dir |

[ Top ]

### method privDisableMagicQuotes [line 5327]

`void privDisableMagicQuotes( )`

[ Top ]

### method privDuplicate [line 5232]

`void privDuplicate( $p_archive_filename)`

#### Parameters:

| $p_archive_filename |

[ Top ]

### method privErrorLog [line 5292]

`void privErrorLog( [ $p_error_code = 0], [ $p_error_string = ''])`

#### Parameters:

| $p_error_code |
| $p_error_string |

[ Top ]

### method privErrorReset [line 5309]

`void privErrorReset( )`

[ Top ]

### method privExtractByRule [line 3275]

`void privExtractByRule( &$p_file_list, $p_path, $p_remove_path, $p_remove_all_path, &$p_options)`

#### Parameters:

| &$p_file_list |
| $p_path |
| $p_remove_path |
| $p_remove_all_path |
| &$p_options |

[ Top ]

### method privExtractFile [line 3615]

`void privExtractFile( &$p_entry, $p_path, $p_remove_path, $p_remove_all_path, &$p_options)`

#### Parameters:

| &$p_entry |
| $p_path |
| $p_remove_path |
| $p_remove_all_path |
| &$p_options |

[ Top ]

### method privExtractFileAsString [line 4154]

`void privExtractFileAsString( &$p_entry, &$p_string, &$p_options)`

#### Parameters:

| &$p_entry |
| &$p_string |
| &$p_options |

[ Top ]

### method privExtractFileInOutput [line 4042]

`void privExtractFileInOutput( &$p_entry, &$p_options)`

#### Parameters:

| &$p_entry |
| &$p_options |

[ Top ]

### method privExtractFileUsingTempFile [line 3966]

`void privExtractFileUsingTempFile( &$p_entry, &$p_options)`

#### Parameters:

| &$p_entry |
| &$p_options |

[ Top ]

### method privFileDescrExpand [line 1999]

`void privFileDescrExpand( &$p_filedescr_list, &$p_options)`

#### Parameters:

| &$p_filedescr_list |
| &$p_options |

[ Top ]

### method privFileDescrParseAtt [line 1870]

`void privFileDescrParseAtt( &$p_file_list, &$p_filedescr, $v_options, [ $v_requested_options = false])`

#### Parameters:

| &$p_file_list |
| &$p_filedescr |
| $v_options |
| $v_requested_options |

[ Top ]

### method privList [line 3149]

`void privList( &$p_list)`

#### Parameters:

| &$p_list |

[ Top ]

### method privMerge [line 5047]

`void privMerge( &$p_archive_to_add)`

#### Parameters:

| &$p_archive_to_add |

[ Top ]

### method privOpenFd [line 2338]

`void privOpenFd( $p_mode)`

#### Parameters:

| $p_mode |

[ Top ]

### method privOptionDefaultThreshold [line 1826]

`void privOptionDefaultThreshold( &$p_options)`

#### Parameters:

| &$p_options |

[ Top ]

### method privParseOptions [line 1426]

`void privParseOptions( &$p_options_list, $p_size, &$v_result_list, [ $v_requested_options = false])`

#### Parameters:

| &$p_options_list |
| $p_size |
| &$v_result_list |
| $v_requested_options |

[ Top ]

### method privReadCentralFileHeader [line 4380]

`void privReadCentralFileHeader( &$p_header)`

#### Parameters:

| &$p_header |

[ Top ]

### method privReadEndCentralDir [line 4525]

`void privReadEndCentralDir( &$p_central_dir)`

#### Parameters:

| &$p_central_dir |

[ Top ]

### method privReadFileHeader [line 4277]

`void privReadFileHeader( &$p_header)`

#### Parameters:

| &$p_header |

[ Top ]

### method privSwapBackMagicQuotes [line 5361]

`void privSwapBackMagicQuotes( )`

[ Top ]

### method privWriteCentralFileHeader [line 3067]

`void privWriteCentralFileHeader( &$p_header)`

#### Parameters:

| &$p_header |

[ Top ]

### method privWriteCentralHeader [line 3120]

`void privWriteCentralHeader( $p_nb_entries, $p_size, $p_offset, $p_comment)`

#### Parameters:

| $p_nb_entries |
| $p_size |
| $p_offset |
| $p_comment |

[ Top ]

### method privWriteFileHeader [line 3022]

`void privWriteFileHeader( &$p_header)`

#### Parameters:

| &$p_header |

[ Top ]

### method properties [line 1089]

`void properties( )`

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:17:25 +0200 by phpDocumentor 1.4.4